zenilib: zenilib/jni/external/freetype2/include/freetype/ftoutln.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Typedefs | Enumerations | Functions
ftoutln.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Typedefs

typedef enum FT_Orientation_ | FT_Orientation

## Enumerations

enum | FT_Orientation_ { FT_ORIENTATION_TRUETYPE = 0, FT_ORIENTATION_POSTSCRIPT = 1, FT_ORIENTATION_FILL_RIGHT = FT_ORIENTATION_TRUETYPE, FT_ORIENTATION_FILL_LEFT = FT_ORIENTATION_POSTSCRIPT, FT_ORIENTATION_NONE }

## Functions

| FT_Outline_Check (FT_Outline *outline)
| FT_Outline_Copy (const FT_Outline *source, FT_Outline *target)
FT_BEGIN_HEADER | FT_Outline_Decompose (FT_Outline *outline, const FT_Outline_Funcs *func_interface, void *user)
| FT_Outline_Done (FT_Library library, FT_Outline *outline)
| FT_Outline_Done_Internal (FT_Memory memory, FT_Outline *outline)
| FT_Outline_Embolden (FT_Outline *outline, FT_Pos strength)
| FT_Outline_Get_Bitmap (FT_Library library, FT_Outline *outline, const FT_Bitmap *abitmap)
| FT_Outline_Get_CBox (const FT_Outline *outline, FT_BBox *acbox)
| FT_Outline_Get_Orientation (FT_Outline *outline)
| FT_Outline_New (FT_Library library, FT_UInt numPoints, FT_Int numContours, FT_Outline *anoutline)
| FT_Outline_New_Internal (FT_Memory memory, FT_UInt numPoints, FT_Int numContours, FT_Outline *anoutline)
| FT_Outline_Render (FT_Library library, FT_Outline *outline, FT_Raster_Params *params)
| FT_Outline_Reverse (FT_Outline *outline)
| FT_Outline_Transform (const FT_Outline *outline, const FT_Matrix *matrix)
| FT_Outline_Translate (const FT_Outline *outline, FT_Pos xOffset, FT_Pos yOffset)

## Typedef Documentation

typedef enum FT_Orientation_ FT_Orientation

## Enumeration Type Documentation

enum FT_Orientation_

Enumerator
FT_ORIENTATION_TRUETYPE |
FT_ORIENTATION_POSTSCRIPT |
FT_ORIENTATION_FILL_RIGHT |
FT_ORIENTATION_FILL_LEFT |
FT_ORIENTATION_NONE |

Definition at line 490 of file ftoutln.h.

## Function Documentation

FT_Outline_Check | ( | FT_Outline * | outline | ) |

Definition at line 345 of file ftoutln.c.

References FT_Err_Invalid_Argument.

Referenced by FT_Load_Glyph(), and ft_stroke_border_export().

FT_Outline_Copy | ( | const FT_Outline * | source,
|  | FT_Outline * | target
| ) |  |

Definition at line 390 of file ftoutln.c.

References FT_ARRAY_COPY, FT_Err_Invalid_Argument, FT_Err_Ok, and FT_OUTLINE_OWNER.

Referenced by FT_DEFINE_GLYPH(), and ft_outline_glyph_copy().

FT_BEGIN_HEADER FT_Outline_Decompose | ( | FT_Outline * | outline,
|  | const FT_Outline_Funcs * | func_interface,
|  | void * | user
| ) |  |

Definition at line 50 of file ftoutln.c.

References error, FT_CURVE_TAG, FT_CURVE_TAG_CONIC, FT_CURVE_TAG_CUBIC, FT_CURVE_TAG_ON, FT_Err_Invalid_Argument, FT_Err_Invalid_Outline, FT_Err_Ok, FT_Pos, FT_TRACE5, SCALED, vec, FT_Vector_::x, and FT_Vector_::y.

Referenced by FT_DEFINE_OUTLINE_FUNCS(), if(), and TestFace().

FT_Outline_Done | ( | FT_Library | library,
|  | FT_Outline * | outline
| ) |  |

Definition at line 445 of file ftoutln.c.

References FT_Outline_Done_Internal().

Referenced by FT_Glyph_Stroke(), FT_Glyph_StrokeBorder(), and ft_outline_glyph_done().

FT_Outline_Done_Internal | ( | FT_Memory | memory,
|  | FT_Outline * | outline
| ) |  |

Definition at line 422 of file ftoutln.c.

References FT_Err_Invalid_Argument, FT_Err_Ok, FT_FREE, FT_OUTLINE_OWNER, and null_outline.

Referenced by FT_Outline_Done(), and FT_Outline_New_Internal().

FT_Outline_Embolden | ( | FT_Outline * | outline,
|  | FT_Pos | strength
| ) |  |

Definition at line 882 of file ftoutln.c.

References d, FT_Angle, FT_Angle_Diff(), FT_ANGLE_PI2, FT_Atan2(), FT_Cos(), FT_DivFix(), FT_Err_Invalid_Argument, FT_Err_Ok, FT_ORIENTATION_NONE, FT_ORIENTATION_TRUETYPE, FT_Outline_Get_Orientation(), FT_Pos, FT_Vector_From_Polar(), FT_Vector_::x, and FT_Vector_::y.

Referenced by FT_GlyphSlot_Embolden().

FT_Outline_Get_Bitmap | ( | FT_Library | library,
|  | FT_Outline * | outline,
|  | const FT_Bitmap * | abitmap
| ) |  |

Definition at line 645 of file ftoutln.c.

References FT_Raster_Params_::flags, FT_Err_Invalid_Argument, FT_Outline_Render(), FT_PIXEL_MODE_GRAY, FT_PIXEL_MODE_LCD, FT_PIXEL_MODE_LCD_V, FT_RASTER_FLAG_AA, and FT_Raster_Params_::target.

FT_Outline_Get_CBox | ( | const FT_Outline * | outline,
|  | FT_BBox * | acbox
| ) |  |

Definition at line 460 of file ftoutln.c.

References FT_Pos, vec, FT_Vector_::x, xMin, FT_Vector_::y, and yMin.

Referenced by af_loader_load_g(), cff_slot_load(), cid_slot_load_glyph(), compute_glyph_metrics(), dump_outline(), ft_outline_glyph_bbox(), ft_raster1_get_cbox(), ft_raster1_render(), ft_smooth_get_cbox(), ft_smooth_render_generic(), pfr_slot_load(), profile_outline(), and T1_Load_Glyph().

FT_Outline_Get_Orientation | ( | FT_Outline * | outline | ) |

Definition at line 976 of file ftoutln.c.

References FT_MulDiv(), FT_ORIENTATION_NONE, FT_ORIENTATION_POSTSCRIPT, FT_ORIENTATION_TRUETYPE, FT_Pos, i, NULL, FT_Vector_::x, and FT_Vector_::y.

Referenced by af_glyph_hints_reload(), FT_Outline_Embolden(), FT_Outline_GetInsideBorder(), and FT_Outline_GetOutsideBorder().

FT_Outline_New | ( | FT_Library | library,
|  | FT_UInt | numPoints,
|  | FT_Int | numContours,
|  | FT_Outline * | anoutline
| ) |  |

Definition at line 329 of file ftoutln.c.

References FT_Outline_New_Internal().

Referenced by FT_DEFINE_GLYPH(), FT_Glyph_Stroke(), FT_Glyph_StrokeBorder(), and ft_outline_glyph_copy().

FT_Outline_New_Internal | ( | FT_Memory | memory,
|  | FT_UInt | numPoints,
|  | FT_Int | numContours,
|  | FT_Outline * | anoutline
| ) |  |

Definition at line 294 of file ftoutln.c.

References error, FT_Err_Invalid_Argument, FT_Err_Ok, FT_NEW_ARRAY, FT_Outline_Done_Internal(), FT_OUTLINE_OWNER, FT_Outline_::n_points, and null_outline.

Referenced by FT_Outline_New().

FT_Outline_Render | ( | FT_Library | library,
|  | FT_Outline * | outline,
|  | FT_Raster_Params * | params
| ) |  |

Definition at line 594 of file ftoutln.c.

References error, FALSE, FT_Bool, FT_Err_Invalid_Argument, FT_ERROR_BASE, FT_GLYPH_FORMAT_OUTLINE, FT_Lookup_Renderer(), FT_Set_Renderer(), FT_RendererRec_::raster, FT_RendererRec_::raster_render, and TRUE.

Referenced by FT_Outline_Get_Bitmap().

FT_Outline_Reverse | ( | FT_Outline * | outline | ) |

Definition at line 535 of file ftoutln.c.

References FT_OUTLINE_REVERSE_FILL, and swap().

FT_Outline_Transform | ( | const FT_Outline * | outline,
|  | const FT_Matrix * | matrix
| ) |  |

Definition at line 695 of file ftoutln.c.

References FT_Vector_Transform(), and vec.

Referenced by af_loader_load_g(), cff_slot_load(), cid_slot_load_glyph(), FT_GlyphSlot_Oblique(), FT_Load_Glyph(), ft_outline_glyph_transform(), ft_raster1_transform(), ft_smooth_transform(), pfr_slot_load(), and T1_Load_Glyph().

FT_Outline_Translate | ( | const FT_Outline * | outline,
|  | FT_Pos | xOffset,
|  | FT_Pos | yOffset
| ) |  |

Definition at line 510 of file ftoutln.c.

References vec, FT_Vector_::x, and FT_Vector_::y.

Referenced by af_loader_load_g(), cff_slot_load(), cid_slot_load_glyph(), FT_Load_Glyph(), ft_outline_glyph_transform(), ft_raster1_render(), ft_raster1_transform(), ft_smooth_render_generic(), ft_smooth_transform(), T1_Load_Glyph(), and TT_Load_Glyph().